package com.goldenwater.slaj.ttsa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.ttsa.mapper.BisTtsaDesignExamRelMapper;
import com.goldenwater.slaj.ttsa.domain.BisTtsaDesignExamRel;
import com.goldenwater.slaj.ttsa.service.IBisTtsaDesignExamRelService;

@Service
public class BisTtsaDesignExamRelServiceImpl implements IBisTtsaDesignExamRelService {
    @Autowired
    private BisTtsaDesignExamRelMapper bisTtsaDesignExamRelMapper;

    @Override
    public BisTtsaDesignExamRel selectBisTtsaDesignExamRelByGuid(String guid) {
        return bisTtsaDesignExamRelMapper.selectBisTtsaDesignExamRelByGuid(guid);
    }

    @Override
    public List<BisTtsaDesignExamRel> selectBisTtsaDesignExamRelList(BisTtsaDesignExamRel bisTtsaDesignExamRel) {
        return bisTtsaDesignExamRelMapper.selectBisTtsaDesignExamRelList(bisTtsaDesignExamRel);
    }

    @Override
    public int insertBisTtsaDesignExamRel(BisTtsaDesignExamRel bisTtsaDesignExamRel) {
        return bisTtsaDesignExamRelMapper.insertBisTtsaDesignExamRel(bisTtsaDesignExamRel);
    }

    @Override
    public int updateBisTtsaDesignExamRel(BisTtsaDesignExamRel bisTtsaDesignExamRel) {
        return bisTtsaDesignExamRelMapper.updateBisTtsaDesignExamRel(bisTtsaDesignExamRel);
    }

    @Override
    public int deleteBisTtsaDesignExamRelByGuid(String guid) {
        return bisTtsaDesignExamRelMapper.deleteBisTtsaDesignExamRelByGuid(guid);
    }

    @Override
    public int deleteBisTtsaDesignExamRelByGuids(String[] guids) {
        return bisTtsaDesignExamRelMapper.deleteBisTtsaDesignExamRelByGuids(guids);
    }
}
